# Resthys - Une interface REST partielle pour Noethys
# Copyright (C) 2018  Cliss XXI <tech@cliss21.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.apps import AppConfig
from django.core.checks import register, Tags

import inspect

from resthys.base import checks


class BaseConfig(AppConfig):
    name = 'resthys.base'
    verbose_name = "Base"

    def ready(self):
        [
            register(c, Tags.models)
            for _, c in checks.__dict__.items()
            if inspect.isfunction(c) and c.__name__.startswith('check_')
        ]
