# Resthys - Une interface REST partielle pour Noethys
# Copyright (C) 2018  Cliss XXI <tech@cliss21.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.urls import path
from rest_framework.urlpatterns import format_suffix_patterns

# Conditionnal import.
# The file resthys/base/models.py might be empty but the application have to
# silently load correctly, then automated checks will complain properly.
try:
    from resthys.base import models # noqa
    from resthys.base import views

    urlpatterns = [
        path(r'factures', views.FacturesList.as_view(), name="factures_list"),
        path(
            r'factures/<int:numero>',
            views.FacturesDetail.as_view(),
            name="factures_detail",
        ),
        path(
            r'individus/<int:id>',
            views.IndividusDetail.as_view(),
            name="individus_detail",
        ),
        path(
            r'paiement/<int:numero>',
            views.FacturesPayement.as_view(),
            name="factures_paiement",
        ),
        path(
            r'unpay/<int:numero>',
            views.FacturesUnpay.as_view(),
            name="factures_unpay",
        ),
    ]

    urlpatterns = format_suffix_patterns(urlpatterns)

except ImportError:
    urlpatterns = []
